﻿namespace SiteManagementSystem_SoftwareEngineering_.Interface
{
    public interface ICacheService<TCategoryName>
    {
        public Action<string>? ExpiredCallbackFunc { set; }
        public int Capacity { get; set; }
        public Task<bool> SetAsync(string key, string value, TimeSpan? expiry = null);
        public Task<string?> GetAsync(string key);
        public Task<bool> RemoveAsync(string key);
        public Task<bool> RemoveLatestKeyAsync();
    }
}
